/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package factura40;

import java.util.ArrayList;

/**
 *
 * @author Cato32
 */
public enum CPeriodicidad {
    Diario("01"),
    Semanal("02"),
    Quincenal("03"),
    Mensual("04"),
    Bimestral("05");
    
    String valor;
    
    private CPeriodicidad (String enumValor){
        valor = enumValor;
    }
    
    public String value() {
        return name();
    }

    public String getValor() {
        return valor;
    }
    
    public static ArrayList<String> listaPeriodicidad(){
        ArrayList<String> lista = new ArrayList<>();
        
        for (CPeriodicidad periodicidad : CPeriodicidad.values()){
            lista.add(periodicidad.name());
        }
        return lista;
    } 
    
    public static CPeriodicidad buscaPeriodicidad(String name){
       for (CPeriodicidad periodicidad : CPeriodicidad.values()){
            if(name.equals(periodicidad.name())){
                return periodicidad;
            }
        }
       return null;
    }

    public String codValue() {
        return name().substring(15, name().length());

    }
}
